//
//  Fraction_CalculatorViewController.h
//  Fraction_Calculator
//
//  Created by Mike Ellertson on 9/7/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
///////// test using git and Xcode

#import <UIKit/UIKit.h>
#import <MapKit/Mapkit.h>
#import "Calculator.h"

@interface Fraction_CalculatorViewController : UIViewController {
    UILabel         *display;
    IBOutlet UIView *calcView;
    IBOutlet UIView *mapView;
    char            op;
    int             currentNumber;
    NSMutableString *displayString;
    BOOL            firstOperand, isNumerator;
    Calculator      *myCalculator;
}

@property (nonatomic, retain) IBOutlet UILabel *display;
@property (nonatomic, retain) NSMutableString *displayString;

-(void) processDigit: (int) digit;
-(void) processOp: (char) theOp;
-(void) storeFracPart;

// Numeric keys
-(IBAction)clickDigit:(UIButton *)sender;

// Arithmetic Operation keys
-(IBAction) clickPlus;
-(IBAction) clickMinus;
-(IBAction) clickMultiply;
-(IBAction) clickDivide;
-(IBAction) clickMap;

// Misc. keys
-(IBAction) clickOver;
-(IBAction) clickEquals;
-(IBAction) clickClear;

@end
